com.amazon.redshift.xa

## Class RedshiftXADataSourceFactory

- java.lang.Object
- - com.amazon.redshift.ds.common.RedshiftObjectFactory
  - - com.amazon.redshift.xa.RedshiftXADataSourceFactory

All Implemented Interfaces:
  ObjectFactory

    public class RedshiftXADataSourceFactory
    extends RedshiftObjectFactory

An ObjectFactory implementation for RedshiftXADataSource-objects.

### Constructor Summary

Constructors
Constructor and Description
`RedshiftXADataSourceFactory()`

### Method Summary

Methods
`Object` `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)` Dereferences a Redshift DataSource.

### Methods inherited from class com.amazon.redshift.ds.common.RedshiftObjectFactory

`getProperty, loadBaseDataSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedshiftXADataSourceFactory

    public RedshiftXADataSourceFactory()

### Method Detail

#### getObjectInstance

    public Object getObjectInstance(Object obj,
                           Name name,
                           Context nameCtx,
                           Hashtable<?,?> environment)
                             throws Exception

Description copied from class: `RedshiftObjectFactory`
Dereferences a Redshift DataSource. Other types of references are ignored.

Specified by:
  `getObjectInstance` in interface `ObjectFactory`
Overrides:
  `getObjectInstance` in class `RedshiftObjectFactory`
Throws:
  `Exception`